package hr.fer.ruazosa.supercomplexcalc;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import org.apache.commons.math3.complex.Complex;
import org.w3c.dom.Text;


public class CalculatorActivity extends ActionBarActivity {

    EditText real1;
    EditText real2;

    EditText imag1;
    EditText imag2;
    TextView result;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_calculator);

        real1 = (EditText) findViewById(R.id.real_1);
        imag1 = (EditText) findViewById(R.id.imag_1);
        real2 = (EditText) findViewById(R.id.real_2);
        imag2 = (EditText) findViewById(R.id.imag_2);
        result = (TextView) findViewById(R.id.result);

        findViewById(R.id.calculate).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                final Double r1 = Double.parseDouble(real1.getText().toString());
                final Double i1 = Double.parseDouble(imag1.getText().toString());
                final Double r2 = Double.parseDouble(real2.getText().toString());
                final Double i2 = Double.parseDouble(imag2.getText().toString());

                final Complex fst = new Complex(r1, i1);
                final Complex snd = new Complex(r2, i2);
                final Complex cplx = fst.multiply(snd);

                result.setText(cplx.toString());
            }
        });
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.calculator, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
